function getMessages() {
	const MSG_FLAG_PARTIAL = 0x400;

	var view = GetDBView();
	var fldrlocal = view.getFolderForViewIndex(0);
	var messagesEnumerator = fldrlocal.getMessages(null);
	var flaggedMessages = new Array();
	
	view.selectMsgByKey(null);
		
 	while (messagesEnumerator.hasMoreElements()) {
  		var message = messagesEnumerator.getNext();
  		var messageHeader = message.QueryInterface(Components.interfaces.nsIMsgDBHdr);
		if (messageHeader.isFlagged) {
			flaggedMessages.push(messageHeader.messageKey);  		
 		}
  		view.selectMsgByKey(messageHeader.messageKey);
  		view.doCommand(Components.interfaces.nsMsgViewCommandType.unflagMessages);
  		if (messageHeader.flags & MSG_FLAG_PARTIAL){
	  		view.selectMsgByKey(messageHeader.messageKey);
	  		view.doCommand(Components.interfaces.nsMsgViewCommandType.flagMessages);
		}
	}

	view.doCommand(Components.interfaces.nsMsgViewCommandType.selectFlagged);
	if (view.selection.count > 0) {	
		goDoCommand('cmd_downloadFlagged');
	}		
	view.doCommand(Components.interfaces.nsMsgViewCommandType.selectFlagged);
	view.doCommand(Components.interfaces.nsMsgViewCommandType.unflagMessages);

	for (var i in flaggedMessages) {
  		view.selectMsgByKey(flaggedMessages[i]);
  		view.doCommand(Components.interfaces.nsMsgViewCommandType.flagMessages);
	}
	view.selectMsgByKey(null);	
}